declare module ezmp {

    module localStorage {
        /**
         * Returns the number of key/value pairs currently present in the list associated with the
         * object.
         */
        let length: number;
        /**
         * Empties the list associated with the object of all key/value pairs, if there are any.
         */
        function clear(): void;
        /**
         * value = storage[key]
         */
        function getItem(key: string): string | null;
        /**
         * Returns the name of the nth key in the list, or null if n is greater
         * than or equal to the number of key/value pairs in the object.
         */
        function key(index: number): string | null;
        /**
         * delete storage[key]
         */
        function removeItem(key: string): void;
        /**
         * storage[key] = value
         */
        function setItem(key: string, value: string): void;
    }

}