declare module ezmp {
    /** 对象类型 */
    type zTypeObject = {
        [key: string]: any
    }
    /** 显示到前台的参数 */
    type zOnShowOptions = {
        scene: string,
        query: zTypeObject,
        platform: string,
    }
    /** 初始化选项 */
    type zTypeInitOptions = {
        // 应用名称
        appName: string,
        // 服务器地址
        serverUrl: string,
        // 离线模式
        offline?: boolean,
        // 调试模式
        debug?: boolean,
    }
    /** 分享选项 */
    type zTypeShareOptions = {
        image?: string,
        text?: string,
        query?: zTypeObject,
        tag?: string,
        group?: boolean,
    }

    /** TypeApiRes */
    type zTypeApiRes<T> = {
        // 请求错误信息
        errMsg: string,
        // 接口返回
        data: zTypeApiData<T>,
        // 头信息
        hander: zTypeObject
    }
    /** TypeApiData */
    type zTypeApiData<T> = {
        // 错误码
        code: number,
        // 错误信息
        err: string,
        // 返回数据
        data?: T
    }
    /** TypeApiKV */
    type zTypeApiKV = {
        // key
        key: string,
        // value
        value: string
    }

    /** 任务配置项 */
    type zTypeSettingTask = {
        // title
        title: string,
        // tag
        tag: string,
        // target
        target: number,
        // reward
        reward: string,
        // icon
        icon: string,
        // desc
        desc: string
    }
    /**  分享配置项 */
    type zTypeSettingShare = {
        // title
        title: string,
        // tag
        tag: string,
        // images
        images: string[],
        // desc
        desc: string
    }
    /**  推荐位配置项 */
    type zTypeSettingRecommend = {
        // title
        title: string,
        // appid
        appid: string,
        // path
        path: string,
        // icon
        icon: string,
        // image
        image: string,
        // desc
        desc: string
    }
}